<?php

//////////
///
///   member.inc.php
///
//////////

require_once('lib/commons.inc.php');



/*************\
*   METHODS   *
\*************/

$dm['member.add'] = array('func'   => 'member_add',
                          'perm'   => AL_ADMN,
                          'escape' => true);

$dm['member.del'] = array('func'   => 'member_del',
                          'perm'   => AL_ADMN,
                          'escape' => true);

$dm['member.get'] = array('func'   => 'member_get',
                          'perm'   => AL_ADMN,
                          'escape' => true);



/***************\
*   FUNCTIONS   *
\***************/

function member_add($group_id, $user_id)
{
   $em[1062] = array('member', 'exists');
   $em[1452] = array('member', 'nosuchgroupuser');

   trace('member.add', "group_id=$group_id, user_id=$user_id", $user_id, $group_id, 0, 0, 0);

   $sql  = "INSERT INTO `group_user` (`group_id`, ";
   $sql .=                           "`user_id`) ";
   $sql .= "VALUES ('$group_id', ";
   $sql .=         "'$user_id')";

   $ret = db_query($sql, $em);

   setaccess($_SESSION['authuserid']);

   return $ret;
}

function member_del($group_id, $user_id)
{
   trace('member.del', "group_id=$group_id, user_id=$user_id", $user_id, $group_id, 0, 0, 0);

   $sql  = "DELETE FROM `group_user` ";
   $sql .= "WHERE `group_id` = '$group_id' AND ";
   $sql .=       "`user_id` = '$user_id'";

   $ret = db_query($sql);

   setaccess($_SESSION['authuserid']);

   return $ret;
}

function member_get($group_id, $user_id)
{
   $sql  = "SELECT `group_id`, ";
   $sql .=        "`user_id` ";
   $sql .= "FROM `group_user` ";
   $sql .= "WHERE 1";
   $sql .= ($group_id ? " AND `group_id` = '$group_id'" : '');
   $sql .= ($user_id ? " AND `user_id` = '$user_id'" : '');

   $ret = db_query($sql);

   if(!is_success($ret)) {
      return $ret;
   } else if($ret['payload'] === false) {
      return success(array());
   }

   return $ret;
}

?>
